"""Add Site modification and termination workflow..

Revision ID: 259c320235f5
Revises: 394dc60d5c02
Create Date: 2023-11-02 10:12:09.778614

"""
import sqlalchemy as sa
from alembic import op
from orchestrator.migrations.helpers import create_workflow, delete_workflow

# revision identifiers, used by Alembic.
revision = "259c320235f5"
down_revision = "394dc60d5c02"
branch_labels = None
depends_on = None

new_workflows = [
    {
        "name": "modify_site",
        "target": "MODIFY",
        "description": "Modify site",
        "product_type": "Site",
    },
    {
        "name": "terminate_site",
        "target": "TERMINATE",
        "description": "Terminate site",
        "product_type": "Site",
    },
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        create_workflow(conn, workflow)


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        delete_workflow(conn, workflow["name"])
